(function ($) {

/**
 * Shows SugarCRM filed on module change and set related module array.
 */
Drupal.behaviors.drupaltosugar = {
  attach: function (context) {
    $.each($("[id^='edit-webformcron']"), function(e) {
      var select_id = $(this).attr('id');
      var wnid = select_id.split('-');
      if ($(this).val() == 1) {
        $('#edit-webformerror-' + wnid[2]).attr('disabled', 'disabled');
      }
    });
    $(".webform-interval select").change (function(e) {
      var select_id = $(this).attr('id');
      var webform_array = select_id.split('-');
      var id = 'edit-webformcron-' + webform_array[2];
      if (select_id == id) {
        var option_selected = $(this).val();
        var error_select = 'edit-webformerror-' + webform_array[2];
        if (option_selected == 1) {
          $('#' + error_select).attr('disabled', 'disabled');
        }
        else {
          $('#' + error_select).attr('disabled', false);
        }
      }
    });
    $('#test-connection-id').click(function() {
      var test_url = Drupal.settings.url + '/admin/test_connection';
      var sugarcrm_url =$('#edit-sugarcrm-url').val();
      var sugarcrm_user = $('#edit-sugarcrm-username').val();
      var sugarcrm_pass = $('#edit-sugarcrm-pass').val();
      $.ajax({
        url: test_url,
        type: 'POST',
        dataType: "html",
        data: {'sugarcrm_url' : sugarcrm_url,'sugarcrm_user': sugarcrm_user,'sugarcrm_pass' : sugarcrm_pass  },
        success:function(result){
          $('div#test-connection-result').html(result);
        },
      });
    });

    $('#test-connection-id').click(function() {
      var test_url = Drupal.settings.url + '/admin/test_connection';
      var sugarcrm_url = $('#edit-sugarcrm-url').val();
      var sugarcrm_user = $('#edit-sugarcrm-username').val();
      var sugarcrm_pass = $('#edit-sugarcrm-pass').val();
      $.ajax({
        url: test_url,
        type: 'POST',
        dataType: "html",
        data: {'sugarcrm_url' : sugarcrm_url, 'sugarcrm_user' : sugarcrm_user, 'sugarcrm_pass' : sugarcrm_pass},
        success:function(result) {
          $('div#test-connection-result').html(result);
        },
      });
    });
    $.each($('.page-admin-configuration #branding ul li a'), function(e, v) {
      var tab_text = $(this).text().toLowerCase();
      var text_to_add = tab_text.replace(" ", "-");
      // Removing '(active tab)' text from tab that is active.
      var final_class = text_to_add.split('\(');
        $(this).parent().addClass(final_class[0]);
    });
    $('.page-admin-configuration #branding').addClass('branding-drupaltosugar');
    $('.page-admin-configuration #page').addClass('page-drupaltosugar');

    drupal_option_change();
    drupal_config_type_change();
    sugar_option_change();
  },
};
})(jQuery);

function drupal_config_type_change() {
  jQuery('#drupal-form-type').live('change', function() {
    var drupal_form_type = jQuery(this).val();
    if (drupal_form_type == 'content_type') {
      var url = Drupal.settings.url + '/admin/configuration/module_configuration/content_type/';
      document.location = url;
    }
    if (drupal_form_type == 'webform') {
      var url = Drupal.settings.url + '/admin/configuration/module_configuration/webform/';
      document.location = url;
    }
  });
}

function drupal_option_change() {
  jQuery('#drupal-form-node-type').change(function() {
    var drupal_form = jQuery('#drupal-form-node-type').val();
    var drupaltosugar_admin_url = Drupal.settings.drupaltosugar.drupaltosugar_path;
    var arguments = drupaltosugar_admin_url.split( '/' );
    var drupal_form_type = 'webform';
    if (arguments[3]) {
      drupal_form_type = arguments[3];
    }
    if (drupal_form == ' ') {
      var url = Drupal.settings.url + '/admin/configuration/module_configuration/' + drupal_form_type + '/';
      document.location = url;
    } 
    else {
      var url = Drupal.settings.url + '/admin/configuration/module_configuration/' + drupal_form_type + '/' + drupal_form;
      document.location = url;
    }
  });
}

function sugar_option_change() {
  jQuery('#edit-sugarmodule').change(function() {
    var add_related_url = Drupal.settings.url + '/admin/add_related_module';
    var sugarmodule_name = jQuery('#edit-sugarmodule').val();
    jQuery.ajax({
      url: add_related_url,
      type: 'POST',
      dataType: "html",
      data: {'module' : sugarmodule_name },
      success:function(result) {
        var drupaltosugar_admin_url = Drupal.settings.drupaltosugar.drupaltosugar_path;
        var arguments = drupaltosugar_admin_url.split( '/' );
        var drupal_form_type = 'webform';
        if (arguments[3]) {
          var drupal_form_type = arguments[3];
        }
        if (arguments[4]) {
          var drupal_form = arguments[4];
        }
        if (sugarmodule_name == ' ') {
          var url = Drupal.settings.url + '/admin/configuration/module_configuration/' + drupal_form_type + '/' + drupal_form + '/';
          document.location = url;
        }
        else {
          var url = Drupal.settings.url + '/admin/configuration/module_configuration/' + drupal_form_type + '/' + drupal_form + '/' + sugarmodule_name;
          document.location = url;
        }
      },
    });
  });
}

